package com.jkcredit.invoice.mapper.calculateinfor;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.calculate.NoCarCalculateInfor;
import com.jkcredit.invoice.model.vo.CompanyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface NoCarCalculateInforMapper extends BaseMapper<NoCarCalculateInfor> {
    IPage<List<NoCarCalculateInfor>> selectAllByPage(Page page, @Param("calculateInfor") NoCarCalculateInfor calculateInfor);

    @Override
    int insert(NoCarCalculateInfor record);

    NoCarCalculateInfor selectByTradeId(String tradeId);

    List<Map<String,String>> selectforStatis(@Param("calculateInfor") NoCarCalculateInfor record);

    int upDateCompany(CompanyVo companyVo);
}
