package com.jkcredit.invoice.service.lowerservice;

import com.jkcredit.invoice.model.entity.customer.CustomerRec;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * 下游客户接口服务类
 */
public interface CustomeLowerService {
    /**
     * 客户备案
     * @param customerRecs
     * @return
     */
    RespR customeRec(List<CustomerRec> customerRecs);

    /**
     * 客户备案列表查询（本地库）
     * @param customerRec
     * @return
     */
    RespR customeRecQueryList(CustomerRec customerRec);

    /**
     * 客户备案查询(本地库)
     * @param customerRec
     * @return
     */
    RespR customeRecQuery(CustomerRec customerRec);


    //协议上传 上传到本地库
    RespR customeRecUpload(List<CustomerRec> customerRecs);
}
