package com.jkcredit.invoice.service.selfcar;

import com.jkcredit.invoice.model.entity.customer.CustomerCarRec;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * 自有车操作接口
 */
public interface SelfCarService {

    /**
     * 自有车解绑操作
     * @return
     */
    RespR selfCarUnBind(String cardId);

    /**
     * 根据车牌号查询ETC信息
     * @param carNum
     * @return
     */
    List<CustomerCarRec> getEtcsByCarNum(String carNum);

    /**
     * 根据车牌号查询ETC信息
     * @param comapanyName
     * @return
     */
    List<CustomerCarRec> getEtcsByCompany(String comapanyName);
}
