package com.jkcredit.invoice.mapper.customer;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.CustomerOper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CustomerOperMapper extends BaseMapper<CustomerOper> {

    IPage<List<CustomerOper>> selectAllByPage(Page page, @Param("customerOper") CustomerOper customerOper);

    @Override
    int insert(CustomerOper record);
}