package com.jkcredit.invoice.mapper.waybill;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.SelfCarTrade;
import com.jkcredit.invoice.model.vo.CompanyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
@Repository
public interface SellCarTradeMapper extends BaseMapper<SelfCarTrade> {
    IPage<List<SelfCarTrade>> selectAllByPage(Page page, @Param("sellCarTrade") SelfCarTrade sellCarTrade);

    @Override
    int insert(SelfCarTrade record);

    int updateByPrimaryKey(SelfCarTrade record);

    int updateByTradeId(SelfCarTrade record);

    List<SelfCarTrade> selectByTradeId(String tradeId);
    List<SelfCarTrade> selectByCardIdByStatus(SelfCarTrade record);
    List<SelfCarTrade> selectByCardId(String cardId);
    List<SelfCarTrade> selectByStatus(@Param("status") String status,@Param("company") String company);
    int upDateCompany(CompanyVo companyVo);

}
