package com.jkcredit.invoice.service.selfcar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.SelfCarTrade;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * 自有车交易接口
 */
public interface SelfCarTradeService {
    /**
     * 查询所有交易接口
     * @param page
     * @param selfCarTrade
     * @return
     */
    IPage<List<SelfCarTrade>> findByPageAndTrade(Page page, SelfCarTrade selfCarTrade);

    /**
     * 批量查询自有车交易信息
     * @param list
     * @return
     */
    RespR batchImportSelfcarTrades(List<SelfCarTrade> list);

    /**
     * 更新交易id状态
     * @param selfCarTrades
     * @return
     */
    boolean updateTrades(List<SelfCarTrade> selfCarTrades);
}
